%define _buildid .6

%global py26nvr python26-kitchen-%{version}-%{release}
%global py26builddir %{_builddir}/%{py26nvr}
%global py26doc ../%{py26nvr}

%global py27nvr python27-kitchen-%{version}-%{release}
%global py27builddir %{_builddir}/%{py27nvr}
%global py27doc ../%{py27nvr}

%bcond_without tests # with

%global upstream_name kitchen

Name: python-kitchen
Version: 1.1.1
Release: 5%{?_buildid}%{?dist}
Summary: Small, useful pieces of code to make python coding easier
Group: Development/Languages
License: LGPLv2+
URL: https://pypi.python.org/pypi/kitchen/
Source0: https://fedorahosted.org/releases/k/i/kitchen/kitchen-%{version}.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python26
BuildRequires: python27

%description
kitchen includes functions to make gettext easier to use, handling unicode
text easier (conversion with bytes, outputting xml, and calculating how many
columns a string takes), and compatibility modules for writing code that uses
python-2.7 modules but needs to run on python-2.3 

%package -n python26-kitchen
Summary: Small, useful pieces of code to make python coding easier
BuildRequires: python26-devel
BuildRequires: python26-nose
BuildRequires: python26-test
BuildRequires: python26-sphinx
BuildRequires: python26-chardet
Requires: python26-chardet
Provides: python-kitchen = %{version}-%{release}
Obsoletes: python-kitchen <= 1.1.1-5.2.amzn1

%description -n python26-kitchen
kitchen includes functions to make gettext easier to use, handling unicode
text easier (conversion with bytes, outputting xml, and calculating how many
columns a string takes), and compatibility modules for writing code that uses
python-2.7 modules but needs to run on python-2.3 

This package is meant to be used with Python 2.6.

%package -n python26-kitchen-doc
Summary: API documentation for the Kitchen python module

Provides: python-kitchen-doc = %{version}-%{release}
Obsoletes: python-kitchen-doc <= 1.1.1-5.2.amzn1

%description -n python26-kitchen-doc
kitchen includes functions to make gettext easier to use, handling unicode
text easier (conversion with bytes, outputting xml, and calculating how many
columns a string takes), and compatibility modules for writing code that uses
python-2.7 modules but needs to run on python-2.3 

This package contains the API documenation for programming with the
kitchen library.

%package -n python27-kitchen
Summary: Small, useful pieces of code to make python coding easier
BuildRequires: python27-devel
BuildRequires: python27-nose
BuildRequires: python27-test
BuildRequires: python27-sphinx
BuildRequires: python27-chardet
Requires: python27-chardet

%description -n python27-kitchen
kitchen includes functions to make gettext easier to use, handling unicode
text easier (conversion with bytes, outputting xml, and calculating how many
columns a string takes), and compatibility modules for writing code that uses
python-2.7 modules but needs to run on python-2.3 

This package is meant to be used with Python 2.7.

%package -n python27-kitchen-doc
Summary: API documentation for the Kitchen python module


%description -n python27-kitchen-doc
kitchen includes functions to make gettext easier to use, handling unicode
text easier (conversion with bytes, outputting xml, and calculating how many
columns a string takes), and compatibility modules for writing code that uses
python-2.7 modules but needs to run on python-2.3 

This package contains the API documenation for programming with the
kitchen library.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
rm -rf %{py26builddir}
mkdir -p %{py26builddir}
cp -a * %{py26builddir}
pushd %{py26builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python26} setup.py build 
popd

rm -rf %{py27builddir}
mkdir -p %{py27builddir}
cp -a * %{py27builddir}
pushd %{py27builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python27} setup.py build 
popd

# Build docs
pushd %{py26builddir}
%{__python} setup.py build_sphinx
cp -pr build/sphinx/html .
rm -rf html/.buildinfo
# Fix shebang
%{__python26_shebang} build/lib/kitchen/pycompat24/base64/_base64.py
popd

# Build docs
pushd %{py27builddir}
%{__python} setup.py build_sphinx
cp -pr build/sphinx/html .
rm -rf html/.buildinfo
# Fix shebang
%{__python27_shebang} build/lib/kitchen/pycompat24/base64/_base64.py
popd

%install
rm -rf %{buildroot}

pushd %{py26builddir}
%{__python26} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

pushd %{py27builddir}
%{__python27} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

%check
%if %{with tests}
# In current mock, the PATH isn't being reset.  This causes failures in some
# subprocess tests as a check tests /root/bin/PROGRAM and fails with Permission
# Denied instead of File Not Found.  reseting the PATH works around this.
PATH=/bin:/usr/bin
pushd %{py26builddir}
nosetests-2.6
popd
pushd %{py27builddir}
nosetests-2.7
popd
%endif

%clean
rm -rf %{buildroot}
rm -rf %{py26builddir}
rm -rf %{py27builddir}

%files -n python26-kitchen
%doc COPYING README NEWS COPYING.LESSER
%doc %{py26doc}/html
%{python26_sitelib}/*

%files -n python26-kitchen-doc
%doc COPYING COPYING.LESSER docs/*

%files -n python27-kitchen
%doc COPYING README NEWS COPYING.LESSER
%doc %{py27doc}/html
%{python27_sitelib}/*

%files -n python27-kitchen-doc
%doc COPYING COPYING.LESSER docs/*

%changelog
* Wed Feb 4 2015 Jason Green <jasg@amazon.com>
- Build for multiple pythons

* Wed May 7 2014 Cristian Gafton <gafton@amazon.com>
- import source package RHEL7/python-kitchen-1.1.1-5.el7

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 1.1.1-5
- Mass rebuild 2013-12-27

* Fri Dec 13 2013 Cristian Gafton <gafton@amazon.com>
- import source package RHEL7/python-kitchen-1.1.1-4.el7

* Thu Dec 12 2013 Cristian Gafton <gafton@amazon.com>
- setup complete for package python-kitchen

* Wed Aug 21 2013 Lee Trager <ltrager@amazon.com>
- Add python26-test as a build dep
- Build docs on AL as well
- import source package F19/python-kitchen-1.1.1-4.fc19
- setup complete for package python-kitchen

* Tue Jun 25 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 1.1.1-4
- Move the api documentation into its own subpackage

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 14 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 1.1.1-1
- Bugfix for using easy_gettext_setup or get_translation_object with the
  default localedirs

* Thu Jan 12 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0 final

* Thu Apr 14 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0.0-1
- Upstream update to 1.0 final

* Sun Feb 20 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.2.4-1
- Upstream update 0.2.4
  - Changes i18n.easy_gettext_setup() to return lgettext functions when
    byte strings are requested.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 5 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.2.3-2
- Upstream respin of the tarball

* Wed Jan 5 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.2.3-1
- Upstream update to 0.2.3
- Fixes https://bugzilla.redhat.com/show_bug.cgi?id=667433

* Mon Jan 3 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.2.2-1
- Upstream update 0.2.2
  - Adds exception to message functions
- Build html docs

* Thu Sep 2 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.2.1-0.1.a1
- Update to upstream 0.2.1a1 release.
- Fixes build on python-2.7, adds iterutils module, optimizes some functions,
  increases documentation

* Thu Jul 29 2010 Dennis Gilmore <dennis@ausil.us> - 0.2-0.1.a2
- propoerlly version accrding to pre-release guidelines
- run tests
- update to 0.2a2
- include COPYING.LESSER and docs dir

* Thu Jul 29 2010 Dennis Gilmore <dennis@ausil.us> - 0.2a1-2
- rename to python-kitchen

* Thu Jul 29 2010 Dennis Gilmore <dennis@ausil.us> - 0.2a1-1
- update to 0.2a1

* Thu Jul 15 2010 Dennis Gilmore <dennis@ausil.us> - 0.1a3-3
- fix spelling mistake in description

* Thu Jul 15 2010 Dennis Gilmore <dennis@ausil.us> - 0.1a3-2
- add documentaion
- fix description

* Thu Jul 15 2010 Dennis Gilmore <dennis@ausil.us> - 0.1a3-1
- initial package
